Bug 1271838 - Baremetal basic non-HA deployment fails due to failing module import by neutron
Baremetal basic non-HA deployment fails due to failing module import by neutron
Status: CLOSED INSUFFICIENT_DATA
Product: RDO
Classification: Community
Component: openstack-neutron (Show other bugs)
Liberty
x86_64 Linux
high Severity high
: ---
: Liberty
Assigned To: Ihar Hrachyshka
Ofer Blaut
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-14 16:40 EDT by Dan Yasny
Modified: 2016-04-26 13:10 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-10 10:09:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
messages file from controller (198.83 KB, application/x-gzip)
2015-10-14 16:40 EDT, Dan Yasny
no flags Details

  None (edit)
Description Dan Yasny 2015-10-14 16:40:23 EDT
Created attachment 1082978 [details]
messages file from controller

Environment:
- undercloud:
python-manila-1.0.0.0-rc2.dev24.el7.centos.noarch
openstack-manila-share-1.0.0.0-rc2.dev24.el7.centos.noarch
openstack-manila-1.0.0.0-rc2.dev24.el7.centos.noarch

openstack-tripleo-heat-templates-0.8.7-dev282.el7.centos.noarch
openstack-heat-templates-0.0.1-dev381.el7.centos.noarch

instack-undercloud-2.1.3-dev229.el7.centos.noarch

- controller:
openstack-neutron-common-7.0.0.0-rc2.dev21.el7.centos.noarch
openstack-neutron-7.0.0.0-rc2.dev21.el7.centos.noarch
python-neutronclient-3.1.1-dev1.el7.centos.noarch
openstack-neutron-openvswitch-7.0.0.0-rc2.dev21.el7.centos.noarch
python-neutron-7.0.0.0-rc2.dev21.el7.centos.noarch
openstack-neutron-ml2-7.0.0.0-rc2.dev21.el7.centos.noarch
openstack-neutron-metering-agent-7.0.0.0-rc2.dev21.el7.centos.noarch
python-neutron-lbaas-7.0.0.0-rc2.dev2.el7.centos.noarch
openstack-neutron-lbaas-7.0.0.0-rc2.dev2.el7.centos.noarch


manila_client import error seen in /var/log/messages:

python-manila-1.0.0.0-rc2.dev24.el7.centos.noarch
openstack-manila-share-1.0.0.0-rc2.dev24.el7.centos.noarch
openstack-manila-1.0.0.0-rc2.dev24.el7.centos.noarch


[stack@rhos-compute-node-18 ~]$ heat stack-list
+--------------------------------------+------------+---------------+---------------------+-------
| id                                   | stack_name | stack_status  | creation_time       | update
+--------------------------------------+------------+---------------+---------------------+-------
| 0696dd2e-4614-4e07-8b18-b1c4495aed1b | overcloud  | CREATE_FAILED | 2015-10-13T21:16:38 | None  
+--------------------------------------+------------+---------------+---------------------+-------


[stack@rhos-compute-node-18 ~]$ heat resource-list -n5 overcloud|grep -v COMPLETE
+---------------------------------------------+-----------------------------------------------+---
--------------------------------------------------------------------------------------------------
| resource_name                               | physical_resource_id                          | re
                                                                                                  
+---------------------------------------------+-----------------------------------------------+---
--------------------------------------------------------------------------------------------------
| ControllerNodesPostDeployment               | 430b2906-b6f8-48ca-bdb5-98ebe603679b          | OS
                                                                                                  
| ControllerOvercloudServicesDeployment_Step4 | bdb7a7d9-e876-4e4f-8811-c230271a1418          | OS
ControllerNodesPostDeployment-yudrq4keh75w                                                        
| 0                                           | eb259d1a-1114-4ef1-8a65-181f735406f3          | OS
ControllerNodesPostDeployment-yudrq4keh75w-ControllerOvercloudServicesDeployment_Step4-bfjics6lusk
+---------------------------------------------+-----------------------------------------------+---
--------------------------------------------------------------------------------------------------
Comment 1 Dan Yasny 2015-10-14 16:42:16 EDT
Reproducing:

- try to deploy using RDO manager, one controller, one compute on baremetal
-
Comment 2 Ihar Hrachyshka 2015-10-19 05:06:56 EDT
Please attach neutron logs and config files. I suspect configuration issue, because the exception we see in messages file suggests a plugin is not configured properly (f.e. core_plugin may be misconfigured).
Comment 3 Dan Yasny 2015-10-19 08:56:04 EDT
The hosts have already been redeployed several times over since then. But the deployment itself was done using the readthedocs based guide, no changes to the defaults whatsoever.
Comment 4 Ihar Hrachyshka 2015-10-20 07:40:53 EDT
I don't think I should collect the minimal reasonable set of log and config files to investigate the issue. From what I see now, it's not a neutron issue at all. Please either move the bug to a better component (RDO installer?) or provide logs and config files for neutron.

I have little knowledge about how you deploy the setup, and I don't believe it's reasonable to expect component teams will be able to investigate with no relevant configs and logs provided.
Comment 5 Dan Yasny 2015-10-20 11:30:33 EDT
Building a new setup today on the same hardware, will update if I manage to reproduce the issue.
Comment 6 Ihar Hrachyshka 2015-11-10 10:09:26 EST
OK, closing the bug since there is no progress from reporter side.

Note You need to log in before you can comment on or make changes to this bug.